//---------------------------------------------------------------------------
#ifndef fMainH
#define fMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
class TRawDataFile : public TPersistent
{
protected:
   TFileStream *F;
   int FDataCount;
   int FFieldCount;
   void __fastcall InitialInternalFile();
   int __fastcall CountingFields(AnsiString S);
   int __fastcall GetData(int Index, int FieldNo);
public:
   __fastcall TRawDataFile(AnsiString FileName);
   __fastcall ~TRawDataFile(void);
   void __fastcall LoadFromFile(AnsiString FileName);
   __property int DataCount = {read=FDataCount};
   __property int FieldCount = {read=FFieldCount};
   __property int Data[int Index][int FieldNo] = {read=GetData};
};
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
   TButton *Button1;
   TListBox *ListBox1;
   void __fastcall Button1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
   __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
